Loading...
Searching...
No Matches
Opm::NullThermalConductionLaw< ScalarT > Class Template Reference

Implements a dummy law for thermal conduction to which isothermal models can fall back to. More...

`#include <NullThermalConductionLaw.hpp>`

## Public Types

using | Params = int
using | Scalar = ScalarT

## Static Public Member Functions

template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | thermalConductivity (const Params &, const FluidState &)
| Given a fluid state, return the effective thermal conductivity [W/m^2 / (K/m)] of the porous medium.

## Detailed Description

template<class ScalarT>
class Opm::NullThermalConductionLaw< ScalarT >

Implements a dummy law for thermal conduction to which isothermal models can fall back to.

This law just returns 0 unconditionally.

## Member Function Documentation

## thermalConductivity()

template<class ScalarT>
template<class FluidState, class Evaluation = typename FluidState::Scalar>

Evaluation Opm::NullThermalConductionLaw< ScalarT >::thermalConductivity | ( | const Params & | ,
|  | const FluidState & | )

inline static

Given a fluid state, return the effective thermal conductivity [W/m^2 / (K/m)] of the porous medium.

If this method is called an exception is thrown at run time.

The documentation for this class was generated from the following file:

- opm/material/thermal/NullThermalConductionLaw.hpp